/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.activity;

import android.os.Bundle;

import kr.co.zumo.app.R;
import kr.co.zumo.app.lifeplus.manager.ActionBarManager;
import kr.co.zumo.app.lifeplus.model.BlankModel;
import kr.co.zumo.app.lifeplus.view.Event;
import kr.co.zumo.app.lifeplus.view.IView;
import kr.co.zumo.app.lifeplus.view.presenter.BlockMemberPresenter;

/**
 * PermissionInfoActivity
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018-09-29]   [최초 작성]
 * @since 2018-09-29
 */
public class BlockMemberActivity extends ActivityBase<BlockMemberPresenter> implements IView {

  @Override
  void onAfterCreate(Bundle savedInstanceState) {

    setContentView(R.layout.activity_block_member);

    findViewById(R.id.button_block_confirm).setOnClickListener(v -> {
      presenter.onEvent(new Event.Builder(Event.CONFIRM).build());
    });

    findViewById(R.id.button_block_member_close).setOnClickListener(v -> {
      presenter.onEvent(new Event.Builder(Event.EXIT).build());
    });

    findViewById(R.id.text_view_rest_email_information).setOnClickListener(v -> {
      presenter.onEvent(new Event.Builder(Event.EMAIL_CLICK).build());
    });

  }

  @Override
  void defineActionBar() {
    ActionBarManager.getInstance().hide();
  }

  @Override
  BlockMemberPresenter definePresenter() {
    return new BlockMemberPresenter(getModel(BlankModel.class), this);
  }
}
